Revert the non-version changes of previous commit
Sebastian Hahn

Sebastian Hahn commited on 2012-02-19 13:54:52
Zeige 2 geänderte Dateien mit 32 Einfügungen und 8 Löschungen.


Looks like a ton of stuff got accidentally committed
... ...
@@ -11,7 +11,7 @@
11 11
 # 5. ./publish
12 12
 
13 13
 export STABLETAG=tor-0.2.2.35
14
-export DEVTAG=tor-0.2.3.11-alpha
14
+export DEVTAG=tor-0.2.3.12-alpha
15 15
 
16 16
 WMLBASE=.
17 17
 SUBDIRS=docs eff projects press about download getinvolved donate torbutton
... ...
@@ -1,17 +1,41 @@
1 1
 #!/bin/sh
2 2
 set -e # stop if we encounter an error
3 3
 
4
-make clean # clean cruft
4
+# pull the latest changes
5
+if [ -e .svn ] ; then
6
+	svn update
7
+elif [ -e .git ] ; then
8
+	git svn rebase
9
+else
10
+	echo 2>&1 "Cannot figure out which version control thing you're using.  Skipping update"
11
+fi
5 12
 
6
-svn update # get changes
13
+# clean up the working directory
14
+make clean
7 15
 
8
-make -j3 # abuse the cores
16
+# actually build the site
17
+make -j3
9 18
 
10 19
 # don't copy over stuff with permissions that make it useless
11
-#chmod a+r * -R
12 20
 chmod -R a+r *
13
-rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi --exclude project -Prvz --delete . vescum:/srv/www-master.torproject.org/htdocs
21
+rsync \
22
+	--exclude .DS_Store \
23
+	--exclude .svn \
24
+	--exclude .git \
25
+	--exclude '.*.sw[po]' \
26
+	--exclude .deps \
27
+	--exclude svn \
28
+	--exclude dist \
29
+	--exclude releases \
30
+	--exclude torbutton-current.xpi \
31
+	--exclude project \
32
+	-Prvz --delete . www-master.torproject.org:/srv/www-master.torproject.org/htdocs
14 33
 
15 34
 echo "Forcing mirror update"
16
-ssh vescum '/home/mirroradm/bin/trigger-mirrors'
17
-ssh vescum chmod g+w -R /srv/www-master.torproject.org/htdocs
35
+ssh www-master.torproject.org '
36
+	(
37
+	 find /srv/www-master.torproject.org/htdocs ! -perm -444 -print0 | xargs -0 --no-run-if-empty chmod -v a+r ||
38
+	 ( echo >&2 "There are unreadable files in /srv/www-master.torproject.org/htdocs, not triggering mirror run."; exit 1)
39
+	) &&
40
+	echo "Triggering mirror run" &&
41
+	/home/mirroradm/bin/trigger-mirrors'
18 42